list=Array[Dictionary]([{
"base": &"Node",
"class": &"BaseNetInput",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.extras/base-net-input.gd"
}, {
"base": &"RefCounted",
"class": &"FilenamePattern",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/filename-pattern.gd"
}, {
"base": &"Object",
"class": &"Interpolators",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/interpolators.gd"
}, {
"base": &"RefCounted",
"class": &"NetworkClockSample",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/time/network-clock-sample.gd"
}, {
"base": &"Object",
"class": &"NetworkClocks",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/time/network-clocks.gd"
}, {
"base": &"Node",
"class": &"NetworkManager",
"icon": "",
"language": &"GDScript",
"path": "res://scripts/network_manager.gd"
}, {
"base": &"RigidBody2D",
"class": &"NetworkRigidBody2D",
"icon": "res://addons/netfox.extras/icons/network-rigid-body-2d.svg",
"language": &"GDScript",
"path": "res://addons/netfox.extras/physics/network-rigid-body-2d.gd"
}, {
"base": &"RigidBody3D",
"class": &"NetworkRigidBody3D",
"icon": "res://addons/netfox.extras/physics/network-rigid-body-3d.gd",
"language": &"GDScript",
"path": "res://addons/netfox.extras/physics/network-rigid-body-3d.gd"
}, {
"base": &"Node",
"class": &"NetworkTickrateHandshake",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/time/network-tickrate-handshake.gd"
}, {
"base": &"Node",
"class": &"NetworkWeapon",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.extras/weapon/network-weapon.gd"
}, {
"base": &"Node2D",
"class": &"NetworkWeapon2D",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.extras/weapon/network-weapon-2d.gd"
}, {
"base": &"Node3D",
"class": &"NetworkWeapon3D",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.extras/weapon/network-weapon-3d.gd"
}, {
"base": &"Node3D",
"class": &"NetworkWeaponHitscan3D",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.extras/weapon/network-weapon-hitscan-3d.gd"
}, {
"base": &"RefCounted",
"class": &"NorayProtocolHandler",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.noray/protocol-handler.gd"
}, {
"base": &"Node",
"class": &"PeerVisibilityFilter",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/peer-visibility-filter.gd"
}, {
"base": &"Node",
"class": &"PhysicsDriver",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.extras/physics/physics_driver.gd"
}, {
"base": &"RefCounted",
"class": &"PropertyCache",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/properties/property-cache.gd"
}, {
"base": &"RefCounted",
"class": &"PropertyEntry",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/properties/property-entry.gd"
}, {
"base": &"Node",
"class": &"RewindableAction",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/rewindable-action.gd"
}, {
"base": &"RefCounted",
"class": &"RewindableRandomNumberGenerator",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.extras/rewindable-random-number-generator.gd"
}, {
"base": &"Node",
"class": &"RewindableState",
"icon": "res://addons/netfox.extras/icons/rewindable-state.svg",
"language": &"GDScript",
"path": "res://addons/netfox.extras/state-machine/rewindable-state.gd"
}, {
"base": &"Node",
"class": &"RewindableStateMachine",
"icon": "res://addons/netfox.extras/icons/rewindable-state-machine.svg",
"language": &"GDScript",
"path": "res://addons/netfox.extras/state-machine/rewindable-state-machine.gd"
}, {
"base": &"RefCounted",
"class": &"RollbackFreshnessStore",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/rollback/rollback-freshness-store.gd"
}, {
"base": &"Node",
"class": &"RollbackSynchronizer",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/rollback/rollback-synchronizer.gd"
}, {
"base": &"Node",
"class": &"StateSynchronizer",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/state-synchronizer.gd"
}, {
"base": &"Object",
"class": &"TAPReporter",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/tap-reporter.gd"
}, {
"base": &"Node",
"class": &"TickInterpolator",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/tick-interpolator.gd"
}, {
"base": &"Object",
"class": &"Vest",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/vest-singleton.gd"
}, {
"base": &"SceneTree",
"class": &"VestCLI",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/cli/vest-cli.gd"
}, {
"base": &"RefCounted",
"class": &"VestComparisonPopup",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/ui/vest-comparison-popup.gd"
}, {
"base": &"RefCounted",
"class": &"VestDaemonRunner",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/runner/vest-daemon-runner.gd"
}, {
"base": &"Object",
"class": &"VestDefs",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/vest-defs.gd"
}, {
"base": &"RefCounted",
"class": &"VestLocalRunner",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/runner/vest-local-runner.gd"
}, {
"base": &"RefCounted",
"class": &"VestMeasure",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/measures/measure.gd"
}, {
"base": &"RefCounted",
"class": &"VestMessagePopup",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/ui/vest-message-popup.gd"
}, {
"base": &"Object",
"class": &"VestMixins",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/vest-mixins.gd"
}, {
"base": &"Object",
"class": &"VestMockDefs",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/mocks/vest-mock-defs.gd"
}, {
"base": &"RefCounted",
"class": &"VestMockGenerator",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/mocks/vest-mock-generator.gd"
}, {
"base": &"RefCounted",
"class": &"VestMockHandler",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/mocks/vest-mock-handler.gd"
}, {
"base": &"RefCounted",
"class": &"VestResult",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/vest-result.gd"
}, {
"base": &"Object",
"class": &"VestTest",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/test/vest-test.gd"
}, {
"base": &"Object",
"class": &"VestTestMixin",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/test/vest-test-mixin.gd"
}, {
"base": &"Control",
"class": &"VestUI",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/ui/vest-ui.gd"
}, {
"base": &"Object",
"class": &"YAMLWriter",
"icon": "",
"language": &"GDScript",
"path": "res://addons/vest/yaml-writer.gd"
}, {
"base": &"RefCounted",
"class": &"_BiMap",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.internals/bimap.gd"
}, {
"base": &"RefCounted",
"class": &"_DiffHistoryEncoder",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/encoder/diff-history-encoder.gd"
}, {
"base": &"RefCounted",
"class": &"_HistoryBuffer",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.internals/history-buffer.gd"
}, {
"base": &"Object",
"class": &"_NetfoxEditorUtils",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.internals/editor-utils.gd"
}, {
"base": &"RefCounted",
"class": &"_NetfoxLogger",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.internals/logger.gd"
}, {
"base": &"Node",
"class": &"_NetworkPerformance",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/network-performance.gd"
}, {
"base": &"Node",
"class": &"_NetworkRollback",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/rollback/network-rollback.gd"
}, {
"base": &"Node",
"class": &"_NetworkTime",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/network-time.gd"
}, {
"base": &"Node",
"class": &"_NetworkTimeSynchronizer",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/network-time-synchronizer.gd"
}, {
"base": &"NetworkWeapon",
"class": &"_NetworkWeaponProxy",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.extras/weapon/network-weapon-proxy.gd"
}, {
"base": &"RefCounted",
"class": &"_PropertyConfig",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/properties/property-config.gd"
}, {
"base": &"_HistoryBuffer",
"class": &"_PropertyHistoryBuffer",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/properties/property-history-buffer.gd"
}, {
"base": &"RefCounted",
"class": &"_PropertySnapshot",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/properties/property-snapshot.gd"
}, {
"base": &"RefCounted",
"class": &"_RedundantHistoryEncoder",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/encoder/redundant-history-encoder.gd"
}, {
"base": &"RefCounted",
"class": &"_RingBuffer",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.internals/ring-buffer.gd"
}, {
"base": &"RefCounted",
"class": &"_RollbackHistoryRecorder",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/rollback/composite/rollback-history-recorder.gd"
}, {
"base": &"Node",
"class": &"_RollbackHistoryTransmitter",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/rollback/composite/rollback-history-transmitter.gd"
}, {
"base": &"RefCounted",
"class": &"_Set",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox.internals/set.gd"
}, {
"base": &"RefCounted",
"class": &"_SnapshotHistoryEncoder",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/encoder/snapshot-history-encoder.gd"
}, {
"base": &"Object",
"class": &"_TicksetSerializer",
"icon": "",
"language": &"GDScript",
"path": "res://addons/netfox/serializers/tickset-serializer.gd"
}])
